[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.SetClipRect

Sets the value for the ClipRect property.

## Declaration

Source position: graphics.pp line 1068

`protected procedure TCanvas.SetClipRect(`
`const ARect: TRect`
`); override;`

## Arguments

`ARect` |  | New value for the property.

## Description

Overrides the method defined in the TFPCustomCanvas ancestor. Calls the inherited method. Handles conversion of the logical coordinates in the clipping rectangle to device coordinates, and sets the clipping region to the converted values.